package mpi;
import mpi.*;

public class Status {

  public int index;

  public int source;
  public int tag;
/*   public int error;  */

  protected int count; //

  public native int Get_count(Datatype datatype);
  public native boolean Test_cancelled();
  public native int Get_elements(Datatype datatype);

  private static native void init(); 
//  protected long handle;

  static {
    init();
  }          

}

/*
   Status object.  It is the only user-visible MPI data-structure
   The "count" field is PRIVATE; use MPI_Get_count to access it.
 */
/*  C MPI binding 'mpi.h'
typedef struct {
    int count;
    int MPI_SOURCE;
    int MPI_TAG;
    int MPI_ERROR;
} MPI_Status;
*/
